Upside down Google Maps in FF37

RESOLVED WORKSFORME

Status

()

Core
Canvas: WebGL
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: jrmuizel, Assigned: jrmuizel)

Tracking

unspecified
x86
Windows
Points:
---

Firefox Tracking Flags

(firefox37+ wontfix, firefox38+ wontfix, firefox39+ unaffected, firefox40+ unaffected)

Details

(Whiteboard: gfx-noted)

Attachments

(3 attachments)

(Assignee)

Description

3 years ago
There are reports of this happening for some users:
https://productforums.google.com/forum/?hl=en#!topic/maps/XTQfgUbqWdA

The one user that posted there information is running on a Intel HD 3000
(Assignee)

Comment 1

3 years ago
[Tracking Requested - why for this release]: Google Maps regression
tracking-firefox37: --- → ?
tracking-firefox38: --- → ?
tracking-firefox39: --- → ?
tracking-firefox40: --- → ?
(Assignee)

Comment 2

3 years ago
One reporter experienced this on a Intel(R) HD Graphics 3000 with driver version 8.15.0010.2626
(Assignee)

Comment 3

3 years ago
Another very interesting fact is that one users seems to have this even with https://www.google.com/maps/?force=canvas
Keywords: qaurgent
See Also: → bug 1127336
OS: Mac OS X → Windows
Whiteboard: gfx-noted
Tracking Google Maps regression.
status-firefox37: --- → affected
status-firefox38: --- → affected
status-firefox39: --- → affected
status-firefox40: --- → affected
tracking-firefox37: ? → +
tracking-firefox38: ? → +
tracking-firefox39: ? → +
tracking-firefox40: ? → +
Assignee: nobody → jmuizelaar

Comment 5

3 years ago
23 April 2015
Google maps still upside down
this is a new thing starting today (for me)
Map is fine when loading, and then
it freezes when the "satellite" image in the lower left corner loads, and then
it reverts to upside down and backwards

Doesn't happen in safe mode
No addons installed or activated
I have 1 Extension activated (classic theme restorer)
Disabling Extension has no effect.
All drivers updated to latest greatest


Firefox Vers. 37.0.2
DxDiag Info:

System Information
------------------
Time of this report: 4/23/2015, 07:30:01
       Machine name: BELIZE
   Operating System: Windows 8.1 Pro 64-bit (6.3, Build 9600) (9600.winblue_r9.150322-1500)
           Language: English (Regional Setting: English)
System Manufacturer: Hewlett-Packard
       System Model: h8-1224
               BIOS: BIOS Date: 12/29/11 12:08:16 Ver: 04.06.05
          Processor: AMD FX(tm)-8100 Eight-Core Processor            (8 CPUs), ~2.8GHz
             Memory: 16384MB RAM
Available OS Memory: 16158MB RAM
          Page File: 4586MB used, 14771MB available
        Windows Dir: C:\WINDOWS
    DirectX Version: DirectX 11
DX Setup Parameters: Not found
   User DPI Setting: Using System DPI
 System DPI Setting: 96 DPI (100 percent)
    DWM DPI Scaling: Disabled
     DxDiag Version: 6.03.9600.17415 64bit Unicode

------------
DxDiag Notes
------------
      Display Tab 1: No problems found.
      Display Tab 2: No problems found.
        Sound Tab 1: The file ysusb64.sys is not digitally signed, which means that it has not been tested by Microsoft's Windows Hardware Quality Labs (WHQL).  You may be able to get a WHQL logo'd driver from the hardware manufacturer.
        Sound Tab 2: No problems found.
          Input Tab: No problems found.

--------------------
DirectX Debug Levels
--------------------
Direct3D:    0/4 (retail)
DirectDraw:  0/4 (retail)
DirectInput: 0/5 (retail)
DirectMusic: 0/5 (retail)
DirectPlay:  0/9 (retail)
DirectSound: 0/5 (retail)
DirectShow:  0/6 (retail)

---------------
Display Devices
---------------
          Card name: AMD Radeon HD 6670
       Manufacturer: Advanced Micro Devices, Inc.
          Chip type: AMD Radeon Graphics Processor (0x6758)
           DAC type: Internal DAC(400MHz)
        Device Type: Full Device
         Device Key: Enum\PCI\VEN_1002&DEV_6758&SUBSYS_04431043&REV_00
     Display Memory: 9963 MB
   Dedicated Memory: 2027 MB
      Shared Memory: 7936 MB
       Current Mode: 1680 x 1050 (32 bit) (60Hz)
       Monitor Name: Acer X223W 
      Monitor Model: X223W
         Monitor Id: ACR000D
        Native Mode: 1680 x 1050(p) (59.954Hz)
        Output Type: DVI
        Driver Name: aticfx64.dll,aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
Driver File Version: 8.17.0010.1247 (English)
     Driver Version: 13.251.9001.1001
        DDI Version: 11
     Feature Levels: 11.0,10.1,10.0,9.3,9.2,9.1
       Driver Model: WDDM 1.3
Graphics Preemption: DMA
 Compute Preemption: DMA
           Miracast: Not Supported
Hybrid Graphics GPU: Not Supported
     Power P-states: Not Supported
  Driver Attributes: Final Retail
   Driver Date/Size: 7/21/2014 22:04:16, 1318552 bytes
        WHQL Logo'd: Yes
    WHQL Date Stamp: 
  Device Identifier: {D7B71EE2-2418-11CF-2C77-4924BEC2C535}
          Vendor ID: 0x1002
          Device ID: 0x6758
          SubSys ID: 0x04431043
        Revision ID: 0x0000
 Driver Strong Name: oem186.inf:cb0ae414ef6ac0cb:ati2mtag_NI:13.251.9001.1001:pci\ven_1002&dev_6758
     Rank Of Driver: 00DA2001
        Video Accel: ModeMPEG2_A ModeMPEG2_C 
        DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeMPEG2_IDCT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeVC1_VLD  
   Deinterlace Caps: {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {3C5323C1-6FB7-44F5-9081-056BF2EE449D}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,2) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {552C0DAD-CCBC-420B-83C8-74943CF9F1A6}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,2) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
       D3D9 Overlay: Not Supported
            DXVA-HD: Not Supported
       DDraw Status: Enabled
         D3D Status: Enabled
         AGP Status: Enabled

          Card name: AMD Radeon HD 6670
       Manufacturer: Advanced Micro Devices, Inc.
          Chip type: AMD Radeon Graphics Processor (0x6758)
           DAC type: Internal DAC(400MHz)
        Device Type: Full Device
         Device Key: Enum\PCI\VEN_1002&DEV_6758&SUBSYS_04431043&REV_00
     Display Memory: 9963 MB
   Dedicated Memory: 2027 MB
      Shared Memory: 7936 MB
       Current Mode: 1680 x 1050 (32 bit) (60Hz)
       Monitor Name: Acer X223W 
      Monitor Model: X223W
         Monitor Id: ACR000D
        Native Mode: 1680 x 1050(p) (59.954Hz)
        Output Type: HD15
        Driver Name: aticfx64.dll,aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atidxx64.dll,atiumdag,atidxx32,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
Driver File Version: 8.17.0010.1247 (English)
     Driver Version: 13.251.9001.1001
        DDI Version: 11
     Feature Levels: 11.0,10.1,10.0,9.3,9.2,9.1
       Driver Model: WDDM 1.3
Graphics Preemption: DMA
 Compute Preemption: DMA
           Miracast: Not Supported
Hybrid Graphics GPU: Not Supported
     Power P-states: Not Supported
  Driver Attributes: Final Retail
   Driver Date/Size: 7/21/2014 22:04:16, 1318552 bytes
        WHQL Logo'd: Yes
    WHQL Date Stamp: 
  Device Identifier: {D7B71EE2-2418-11CF-2C77-4924BEC2C535}
          Vendor ID: 0x1002
          Device ID: 0x6758
          SubSys ID: 0x04431043
        Revision ID: 0x0000
 Driver Strong Name: oem186.inf:cb0ae414ef6ac0cb:ati2mtag_NI:13.251.9001.1001:pci\ven_1002&dev_6758
     Rank Of Driver: 00DA2001
        Video Accel: ModeMPEG2_A ModeMPEG2_C 
        DXVA2 Modes: DXVA2_ModeMPEG2_VLD  DXVA2_ModeMPEG2_IDCT  DXVA2_ModeH264_VLD_NoFGT  DXVA2_ModeVC1_VLD  
   Deinterlace Caps: {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,UYVY) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,0x32315659) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {3C5323C1-6FB7-44F5-9081-056BF2EE449D}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,2) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {552C0DAD-CCBC-420B-83C8-74943CF9F1A6}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,2) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {6E8329FF-B642-418B-BCF0-BCB6591E255F}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_PixelAdaptive 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,0x3231564e) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S340,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(S342,UNKNOWN) Frames(Prev/Fwd/Back)=(0,0,0) Caps=
       D3D9 Overlay: Not Supported
            DXVA-HD: Not Supported
       DDraw Status: Enabled
         D3D Status: Enabled
         AGP Status: Enabled
This is not the origin-in-the-wrong-corner related?

Comment 7

3 years ago
No, I don't think so..
after you type maps.google.com into the URL bar, and hit enter
Map comes up...in correct format
Pauses/freezes, 
Satellite View in lower left corner come into view
Map flips upside down and left to right

If mouse button is held before satellite view comes up, map stays normal

Disabled all add ons and extensions
Still does it.
Open FF in safe mode it's fine.
IE is fine
Opera and Chrome are fine

If I had a place to send a screenshot I would
(Assignee)

Comment 8

3 years ago
(In reply to Leaf Hater from comment #7)
> If I had a place to send a screenshot I would

You can attach one to the bug.

Comment 9

3 years ago
Created attachment 8597204 [details]
WashingtonDCMap.JPG

The centre of the map is Washington DC so it may be hard to make out.
It's the "red" city spelled backwards

Comment 10

3 years ago
Created attachment 8597205 [details]
GmapRecord.zip

This is using Microsoft's built it PSR(Problem solving Recorder)
While it doesn't record type in data, it provides screen shots and info
as to what the user did

Comment 11

3 years ago
Created attachment 8597209 [details]
VideoDisplayforMaps.JPG

THis is New....
Doing all the same steps as listed in the bug.
this screen appeared "after" clicking the gmaps shortcut
or typing in maps.google.com
It stays on this screen for about 15 seconds, then enters gmaps
upside down.
This does not happen all the time, so can't recreate this at will.

Checked video drivers, and card, and drivers all up to date.  I use AVG's paid version of their driver update software.
(Assignee)

Comment 12

3 years ago
Leaf Hater,

Can you try running the tests here and report the results?
https://www.khronos.org/registry/webgl/conformance-suites/1.0.1/webgl-conformance-tests.html

If you could do the same with FF36 that would be great.
Flags: needinfo?(ihatethemapleleafs)

Comment 13

3 years ago
Firefox 37.0.2  (FF36 results below this one)
All passed with exception of the following (thought it easier to post 5 lines as opposed to 8900 passes) if you require complete 8906 test results, I will be happy to post them

Run misc
conformance/misc/bad-arguments-test.html (102 of 108 passed)
 
    failed: context.getProgramInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderSource(argument) should be null (of type object). Was (of type string).
    failed: context.getProgramInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderSource(argument) should be null (of type object). Was (of type string).
	
	FF 36.0.4
	
Run misc
conformance/misc/bad-arguments-test.html (102 of 108 passed)

    failed: context.getProgramInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderSource(argument) should be null (of type object). Was (of type string).
    failed: context.getProgramInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderInfoLog(argument) should be null (of type object). Was (of type string).
    failed: context.getShaderSource(argument) should be null (of type object). Was (of type string).
Flags: needinfo?(ihatethemapleleafs)

Comment 14

3 years ago
Update...

Firefox 36
Used lite version of google maps
https://www.google.com/maps/@37.0625,-95.677068,4z?force=lite
No problem
Switched to Full maps
https://www.google.com/maps/@37.0625,-95.677068,4z?hl=en
no problem

Closed FF36

Open FF37
User lite version of google maps
https://www.google.com/maps/@37.0625,-95.677068,4z?force=lite
no problem
Switched to normal maps
https://www.google.com/maps/@37.0625,-95.677068,4z?hl=en
Upside down and backwards

Interesting to note here in normal view
if you remove hl=en at the end of that string and replace it with
force=canvas
it seems to work fine
If you remove ?hl=en
Works fine

In case that's something or somewhere to pinpoint anything
Jeff, would it help to have some extra investigation from QA as well?
Flags: needinfo?(jmuizelaar)
(Assignee)

Comment 16

3 years ago
(In reply to Liz Henry (:lizzard) from comment #15)
> Jeff, would it help to have some extra investigation from QA as well?

Definitely. I don't really have any guesses as to what could be causing this yet.
Flags: needinfo?(jmuizelaar)
Florin can someone on your team try to reproduce this bug and give more information to Jeff?
Flags: needinfo?(florin.mezei)
(Assignee)

Comment 18

3 years ago
(In reply to Leaf Hater from comment #13)
OK, this didn't turn out giving useful information.

Do you think you could try finding a regression window for the problem using mozregression? http://mozilla.github.io/mozregression/

This would be very valuable in pinpointing the problem.
Flags: needinfo?(ihatethemapleleafs)
I don't think we will be able to fix it for 38. Wontfix.
status-firefox37: affected → wontfix
status-firefox38: affected → wontfix
We've tried to reproduce this today using Firefox 37 builds and the latest Firefox 38 RC build, on 4 different machines running Windows 7 x64 and Windows 8.1 x86, but we were so far unsuccessful. Note that Google Maps is regularly covered by us whenever we test WebGL content or general Web Compatibility, which is once every 3-4 Beta builds (~ once every two weeks), which makes me think that maybe this does not show on standard setup.

Jeff do you have maybe some prefs that might cause this issue, and that we could try tinkering with in hope of reproducing this issue? Maybe some graphics stuff that gets enabled/disabled on some systems.
(In reply to Florin Mezei, QA (:FlorinMezei) from comment #20)
> We've tried to reproduce this today using Firefox 37 builds and the latest
> Firefox 38 RC build, on 4 different machines running Windows 7 x64 and
> Windows 8.1 x86, but we were so far unsuccessful. Note that Google Maps is
> regularly covered by us whenever we test WebGL content or general Web
> Compatibility, which is once every 3-4 Beta builds (~ once every two weeks),
> which makes me think that maybe this does not show on standard setup.
> 
> Jeff do you have maybe some prefs that might cause this issue, and that we
> could try tinkering with in hope of reproducing this issue? Maybe some
> graphics stuff that gets enabled/disabled on some systems.

There's disabling layers acceleration, and disabling ANGLE.
layers.layers.acceleration.disabled: false
webgl.disable-angle: false
I've tried again today to reproduce this, but still with no success. I tried playing with the following preferences:
layers.offmainthreadcomposition.enabled
layers.acceleration.disabled
webgl.disable-angle

I'm keeping the needinfo in case we get some additional time to try this again in the next weeks.
(Assignee)

Comment 23

2 years ago
Leafhater, can you try these two builds to see if they both have the issue?

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/01/2015-01-03-03-02-15-mozilla-central/firefox-37.0a1.en-US.win32.zip

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2014/12/2014-12-30-03-02-14-mozilla-central/firefox-37.0a1.en-US.win32.zip
(Assignee)

Comment 24

2 years ago
There have been reports that this was fixed in 38. I haven't seen anyone say anything about the bug since those reports.

Leafhater, can you reproduce this problem in 38?

Comment 25

2 years ago
Sorry for the delay, family medical crisis.

Firefox 37.0.2
Problem still exist's, Upside down and backwards

FF 38.0.1
Problem seems to be fixed.  Didn't happen for me using this version.

Hopefully it's fixed for good, but whatever changed between 37.0.1 and 38.0.1 fixed it

Thanks...
Flags: needinfo?(ihatethemapleleafs)
Thanks.  I'll close it, please let us know if you run into this problem again.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Closing this based on Comment 25.
Flags: needinfo?(florin.mezei)
Keywords: qaurgent
Marking as unaffected in 39+ since there have been no reports of the issue past 38. If QA's usual web compatibility or WebGL testing uncovers this again, please mark the particular version of Firefox that's affected and reopen the bug. Thanks!
status-firefox39: affected → unaffected
status-firefox40: affected → unaffected
You need to log in before you can comment on or make changes to this bug.